package com.huatek.busi.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.huatek.busi.entity.FaultCategory;
import com.huatek.busi.entity.FaultCoefficient;
import com.huatek.busi.vo.FaultCauseVo;
import com.huatek.busi.vo.FaultShowsVo;
import com.huatek.busi.vo.FaultSubtypesVo;
import com.huatek.busi.vo.FaultTypesVo;

/**
 * 故障相关表 Mapper
 *
 * @author anker_cheng
 * @date Jun 18, 2019 6:33:06 PM
 */
@Repository
public interface BusiFaultMapper {

    List<FaultTypesVo> faultTypesList();

    List<FaultSubtypesVo> faultSubtypesList(@Param("masterId") String masterId);

    List<FaultShowsVo> faultShowsList(@Param("subId") String subId);

    List<FaultCauseVo> faultCauseList(@Param("masterId") String masterId, @Param("subId") String subId,
        @Param("modeId") String modeId);

    /**
     * 查询缺陷类别
     * 
     * @return
     */
    List<FaultCategory> findFaultCategory();

    /**
     * 查询缺陷系数
     * 
     * @return
     */
    List<FaultCoefficient> findFaultCoefficient();
}
